Ubuntu

compiz crashed with SIGSEGV in Glib::Source::prepare_vfunc()

Reported by Maks on 2012-02-14
This bug affects 241 people
Affects Status Importance Assigned to Milestone
Compiz Configuration Library
Medium
Sam Spilsbury
Compiz Configuration Library - GConf Backend
Medium
Alan Griffiths
compizconfig-backend-gconf (Ubuntu)
Medium
Unassigned
libcompizconfig (Ubuntu)
Undecided
Unassigned

Bug Description

crash

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-15.24-generic-pae 3.2.5
Uname: Linux 3.2.0-15-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Это каталог: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 290.10 Wed Nov 16 19:27:25 PST 2011
 GCC version: gcc версия 4.6.2 (Ubuntu/Linaro 4.6.2-14ubuntu1)
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,mousepoll,place,snap,session,wall,obs,imgpng,vpswitch,move,grid,resize,regex,animation,fade,gnomecompat,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CrashCounter: 1
Date: Tue Feb 14 17:32:50 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
   Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120130)
MachineType: SAMSUNG ELECTRONICS CO., LTD. RC530/RC730
ProcCmdline: /usr/bin/compiz
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-15-generic-pae root=UUID=64222a29-2b0b-4497-a73e-b0b25a84ff68 ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0xb72b202e <_ZN4Glib6Source13prepare_vfuncEP8_GSourcePi+30>: mov (%eax),%edx
 PC (0xb72b202e) ok
 source "(%eax)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 Glib::Source::prepare_vfunc(_GSource*, int*) () from /usr/lib/i386-linux-gnu/libglibmm-2.4.so.1
 g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
 ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
 g_main_context_pending () from /lib/i386-linux-gnu/libglib-2.0.so.0
 ?? () from /usr/lib/compizconfig/backends/libgconf.so
Title: compiz crashed with SIGSEGV in Glib::Source::prepare_vfunc()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 08/10/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 02WD.M007.20110810.PSA
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: RC530/RC730
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: 02WD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr02WD.M007.20110810.PSA:bd08/10/2011:svnSAMSUNGELECTRONICSCO.,LTD.:pnRC530/RC730:pvr02WD:rvnSAMSUNGELECTRONICSCO.,LTD.:rnRC530/RC730:rvr02WD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: RC530/RC730
dmi.product.version: 02WD
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu1
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0~rc2-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0~rc2-0ubuntu5
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Maks (makssmail) wrote :

StacktraceTop:
 Glib::Source::prepare_vfunc (source=0x8289ba0, timeout=0xbf8ea53c) at main.cc:869
 g_main_context_prepare (context=0x8236d90, priority=0xbf8ea598) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:2808
 g_main_context_iterate (dispatch=0, block=0, context=0x8236d90, self=<optimized out>) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:3098
 g_main_context_iterate (context=0x8236d90, block=0, dispatch=0, self=<optimized out>) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:3055
 g_main_context_pending (context=0x8236d90) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:3144

Changed in compiz (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2012-02-21
visibility: private → public

This hit me on up-to-date precise when using 'compiz --replace'. I'm having a hard time reproducing it, though.

Changed in compiz (Ubuntu):
status: Confirmed → Triaged
Changed in compiz-core:
status: New → Confirmed
Piotr Kujawski (elektrownia) wrote :

Happening many times a day, especially when/after using java in browser (ff).

Daniel van Vugt (vanvugt) wrote :

Looks like the problem is a Glib::Source has been freed without being reregistered. So it's being used still after it was freed.

Also looks related to the screen class destruction ordering; CompScreenImpl::~CompScreenImpl

Ideas, Alan?

Changed in compiz-core:
status: Confirmed → Triaged
importance: Undecided → Medium
assignee: nobody → Alan Griffiths (alan-griffiths)
milestone: none → 0.9.7.2
Alan Griffiths (alan-griffiths) wrote :

I can't reproduce unfortunately. However, I believe the code derives from r2993 - where there was a indeed sequencing issue that has been fixed on trunk (r2998 "Fix teardown sequence").

Changed in compiz-core:
status: Triaged → Fix Committed
Robbt (robbt) wrote :

I had this error after trying to start up Unity after running gnome shell, basically Unity is not anywhere to be found and I simply have a desktop and nothing else when I try Unity. When I run it from the command line it just pops up with this error.

Daniel van Vugt (vanvugt) wrote :

Going on Alan's comment #9, it sounds like the fix for this was released in 0.9.7.0 (r3033) since the fix was at r2998.

Changed in compiz-core:
status: Fix Committed → Fix Released
milestone: 0.9.7.2 → none
milestone: none → 0.9.7.0
tags: added: bugpattern-needed
Safetronik (safetronik) wrote :

Running spotify wine

njdove (njdove) on 2012-03-08
description: updated
Tim Fuchs (tim-fuchs) wrote :

I'm still getting this bug.

It's always triggered when using chromium.
A big white rectangle appears that covers about two thirds of the screen.
I use compiz --replace to get rid of this rectangle, it's the only way.

Then apport appears

Pavol Klačanský (pavolzetor) wrote :

got it today too

Daniel van Vugt (vanvugt) wrote :

The big white rectangle is bug 940603.

Daniel van Vugt (vanvugt) wrote :

Alan, recent duplicates (including today) suggest this bug is not fixed.

Changed in compiz-core:
milestone: 0.9.7.0 → 0.9.7.2
status: Fix Released → Confirmed

Daniel. I can confirm that https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/953214 is from "compiz 1:0.9.7.0+bzr3035-0ubuntu1", which should include c2998.

Still not been able to reproduce though - even though chromium is my favourite browser. Reading through reports for clues how to reproduce.

Fadec Mirror (ffadec) wrote :

The problem is that you don't have libglcore.so as part of proprietary drivers (nvidia, for e.g.). At this time libglcore is substituted with mesa-dri/glx (which is abs. soft-ware rasterizer, not using your video card 3D acceleration) and xserver-xorg-video-nouveau (queer soft-ware subst. for native video card drivers).

Try to run glxgears, glxinfo and you'll see error - glxinfo: error while loading shared libraries: libGLcore.so.1: cannot open shared object file: No such file or directory

Download full text (5.2 KiB)

The problem is that you don't have libglcore.so as part of proprietary
drivers (nvidia, for e.g.). At this time libglcore is substituted with
mesa-dri/glx (which is abs. soft-ware rasterizer, not using your video
card 3D acceleration) and xserver-xorg-video-nouveau (queer subst. for
native video card drivers).

Try to run glxgears, glxinfo and you'll see error - glxinfo: error
while loading shared libraries: libGLcore.so.1: cannot open shared
object file: No such file or directory

2012/3/13, Pavol Klačanský <email address hidden>:
> got it today too
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (952263).
> https://bugs.launchpad.net/bugs/932125
>
> Title:
> compiz crashed with SIGSEGV in Glib::Source::prepare_vfunc()
>
> Status in Compiz Core:
> Fix Released
> Status in “compiz” package in Ubuntu:
> Triaged
>
> Bug description:
> crash
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-15.24-generic-pae 3.2.5
> Uname: Linux 3.2.0-15-generic-pae i686
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Это каталог:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86 Kernel Module 290.10 Wed Nov 16 19:27:25
> PST 2011
> GCC version: gcc версия 4.6.2 (Ubuntu/Linaro 4.6.2-14ubuntu1)
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.91-0ubuntu1
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,mousepoll,place,snap,session,wall,obs,imgpng,vpswitch,move,grid,resize,regex,animation,fade,gnomecompat,workarounds,scale,expo,ezoom,unityshell]
> CompositorRunning: compiz
> CrashCounter: 1
> Date: Tue Feb 14 17:32:50 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> ExecutablePath: /usr/bin/compiz
> GraphicsCard:
> Intel Corporation 2nd Generation Core Processor Family Integrated
> Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
> Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386
> (20120130)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. RC530/RC730
> ProcCmdline: /usr/bin/compiz
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-15-generic-pae
> root=UUID=64222a29-2b0b-4497-a73e-b0b25a84ff68 ro quiet splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0xb72b202e
> <_ZN4Glib6Source13prepare_vfuncEP8_GSourcePi+30>: mov (%eax),%edx
> PC (0xb72b202e) ok
> source "(%eax)" (0x00000000) not located in a known VMA region (needed
> readable region)!
> destination "%edx" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: compiz
> StacktraceTop:
> Glib::Source::prepare_vfunc(_GSource*, int*) () from
> /usr/lib/i386-linux-gnu/libglibmm-2.4.so.1
> g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
> ?? () from /lib/i386-linux-gn...

Read more...

Changed in compiz-core:
status: Confirmed → In Progress

Hello

Compiz crashes at each logon.

BR

Changed in compiz-compizconfig-gconf:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Alan Griffiths (alan-griffiths)
Changed in compizconfig-backend-gconf (Ubuntu):
status: New → Confirmed
Changed in compiz-core:
status: In Progress → Fix Committed
Changed in compiz-compizconfig-gconf:
status: In Progress → Fix Committed

Has this made it to the Precise repositories yet? I just got a bug that popped up this page telling me it was the same thing. As of 5 pm eastern on Friday I was updated. Compiz-core .97.0 appears like it has made it, but I'm still getting this.

Evan Huus (eapache) wrote :

Hi David,

No, it's not in Precise yet, as the status is only "Fix Committed". This means that a fix has been identified and created in the source repository, but is not publicly available yet. When the fix is published to Precise, the status will move to "Fix Released".

Cheers,
Evan

---
Ubuntu Bug Squad Volunteer
https://wiki.ubuntu.com/BugSquad

Changed in compiz-core:
status: Fix Committed → Fix Released
Daniel van Vugt (vanvugt) wrote :

Revised fix committed into lp:compiz-compizconfig-gconf at revision 162

Jesse Johnson (holocronweaver) wrote :

The problem is still occuring for me.

omarly666 (omarly666) wrote :

after installing pitivi

Alexander (alexander-) wrote :

still not fixed

Silviu C. (silviucc) wrote :

Also got a crash today after installing all available updates and doing a system restart (required because new kernel was installed)

Compiz crashed after I tried "unity --reset" as a workaround for bug #963093.

Didier Roche (didrocks) wrote :

still getting it as well

Changed in compiz-core:
status: Fix Released → Triaged
Changed in compiz-compizconfig-gconf:
status: Fix Committed → Triaged
Daniel Greeley (danielgreeley) wrote :

Just ran into this bug today.

A.K.Karthikeyan (mindaslab) wrote :

My screen flicked, I gave unity --reset command and the crash tool got me here. Hope this issue is fixed soon as its annoying.

Benjamin Kerensa (bkerensa) wrote :

Unity had been acting up for me and I did a unity --reset and this crash resulted.

Did a 'unity --reset' because when I logged on, I just got a blank screen with a mouse cursor. I tried to be patient but after a couple of minutes I started up another console and pkilled compiz.
A few things might be related:
- My last session was Unity 2D and metacity (ran much better; something's definitely messed up with compiz for me)
- I've installed fglrx-updates (I have an ATI card).
unity / compiz are back up, though. Whatever it was has straighted itself out (though I'm watching the compiz process closely).

Manveru (manveru) wrote :

I have nvidia from x-updaters PPA and after unity --reset compiz seem to start. Strange.

Sean Davis (smd-seandavis) wrote :

Just got this bug moments ago, after installing all the most recent updates and rebooting.

When I logged back in, unity had not loaded, so I issued 'unity --replace' which led to more (possibly this) crashes.

Using the recommended nvidia drivers.

Alex Mayorga (alex-mayorga) wrote :
Download full text (3.9 KiB)

Did a 'unity --reset' because when I logged on, I just got a blank screen with a mouse cursor.

This is using nouveau on fully updated Precise.

Below find the console output in case it helps.

alex-mayorga@VPCCW1FFXL:~$ unity --reset
unity-panel-service: no process found
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing vpswitch options...done
Initializing snap options...done
Initializing mousepoll options...done
Initializing resize options...done
Initializing place options...done
Initializing move options...done
Initializing wall options...done
Initializing grid options...done
Initializing session options...done
Initializing gnomecompat options...done
Initializing animation options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing workarounds options...done
Initializing scale options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing ezoom options...done
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1c00004

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1c002fa

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x3600911

ERROR 2012-03-26 22:28:47 unity.bghash BGHash.cpp:538 could not open file (/home/alex-mayorga/.cache/unity/bgcachefile): Failed to open file '/home/alex-mayorga/.cache/unity/bgcachefile': No such file or directory

Screen geometry changed:
   0x0x1366x768

Initializing unityshell options...done
compiz (core) - Warn: unhandled ConfigureNotify on 0x3a000a0!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x3a000a3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x3a000a6!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
WARN 2012-03-26 22:28:48 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/firefox-trunk.desktop' is using a depracted format for it's actions that will be dropped soon.
WARN 2012-03-26 22:28:48 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/gnome-terminal.desktop' is using a depracted format for it's actions that will be dropped soon.
Initializing annotate options...done
Initializing blur options...done
Initializing clone options...done
Initializing colorfilter options...done
Initializing commands options...done
Initializing cube options...done
Initializing imgjpeg options...done
Initializing kdecompat options...done
Initializing mag options...done
Initializing neg options...done
Initializing obs options...done
Initializing opacify options...done
Initializing put options...done
Initializing resizeinfo options...done
Initializing ring options...done
Initializing rotate options...done
Initializing scaleaddon o...

Read more...

SiRiusCb (xlat) wrote :

At the end of reboot my laptop don't show Unity Dash and the Top menu bar
so i write "unity --replace" in terminal and returns all normal

wistle (charl-wentzel) wrote :

I had this crash immediately after this one:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/726432

After the first crash I got a pop-up and clicked on "relauch" and a few seconds later this crash occured. They might be related.

After the second crash I got the same pop-up but this time I clicked on "keep closed" and had no further trouble.

affects: compiz-compizconfig-gconf → compiz-libcompizconfig
Changed in compiz-libcompizconfig:
assignee: Alan Griffiths (alan-griffiths) → Sam Spilsbury (smspillaz)
affects: compizconfig-backend-gconf (Ubuntu) → libcompizconfig (Ubuntu)
affects: compiz-core → compiz-compizconfig-gconf
Changed in compiz-compizconfig-gconf:
milestone: 0.9.7.2 → none
status: Triaged → Fix Committed
affects: compiz (Ubuntu) → compizconfig-backend-gconf (Ubuntu)

Unfortunately the fix - https://code.launchpad.net/~alan-griffiths/compiz-compizconfig-gconf/Bug-953214-revised - didn't actually get packaged as intended. Is being corrected.

zzecool (zzecool) wrote :

Im getting exactly the same my bug report is this duplicate https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/966307

GonzO (gonzo) wrote :

I can't launch Unity 3D at all until this is fixed.

On the upside, am using Unity 2D, and wow does it appear to be feature complete!

REWard (reward) wrote :
Download full text (5.5 KiB)

"Unity --replace" did not work for me! Also tried "unity --reset" to no avail...

I have to boot to start menu and select previous Linux Version & that is the only way I can see everything on the screen (not sure how real a version of 12.04 this really is at this point, but it allows me to keep using PC, downloading & installing updates)!

The other weird thing for me is it is showing a "Laptop" as my monitor instead of the "Sony" (which it is a Sony HDTV Screen connected through DVI port) that was there just last week (and under 11.10 & all previous versions).

Me so sad... Hopefully all fixed with official release???

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of SiRiusCb
Sent: Tuesday, March 27, 2012 4:56 AM
To: <email address hidden>
Subject: [Bug 932125] Re: compiz crashed with SIGSEGV in Glib::Source::prepare_vfunc()

At the end of reboot my laptop don't show Unity Dash and the Top menu bar so i write "unity --replace" in terminal and returns all normal

--
You received this bug notification because you are subscribed to a duplicate bug report (948496).
https://bugs.launchpad.net/bugs/932125

Title:
  compiz crashed with SIGSEGV in Glib::Source::prepare_vfunc()

Status in Compiz Configuration Library - GConf Backend:
  Triaged
Status in Compiz Core:
  Triaged
Status in compiz package in Ubuntu:
  Triaged
Status in compizconfig-backend-gconf package in Ubuntu:
  Confirmed

Bug description:
  crash

  ProblemType: Crash
  DistroRelease: Ubuntu 12.04
  Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-15.24-generic-pae 3.2.5
  Uname: Linux 3.2.0-15-generic-pae i686
  NonfreeKernelModules: nvidia
  .proc.driver.nvidia.gpus.0: Error: [Errno 21] ??? ???????: '/proc/driver/nvidia/gpus/0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86 Kernel Module 290.10 Wed Nov 16 19:27:25 PST 2011
   GCC version: gcc ?????? 4.6.2 (Ubuntu/Linaro 4.6.2-14ubuntu1)
  .tmp.unity.support.test.0:

  ApportVersion: 1.91-0ubuntu1
  Architecture: i386
  CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,mousepoll,place,snap,session,wall,obs,imgpng,vpswitch,move,grid,resize,regex,animation,fade,gnomecompat,workarounds,scale,expo,ezoom,unityshell]
  CompositorRunning: compiz
  CrashCounter: 1
  Date: Tue Feb 14 17:32:50 2012
  DistUpgraded: Fresh install
  DistroCodename: precise
  DistroVariant: ubuntu
  ExecutablePath: /usr/bin/compiz
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
     Subsystem: Samsung Electronics Co Ltd Device [144d:c0c1]
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120130)
  MachineType: SAMSUNG ELECTRONICS CO., LTD. RC530/RC730
  ProcCmdline: /usr/bin/compiz
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-15-generic-pae root=UUID=64222a29-2b0b-4497-a73e-b0b25a84ff68 ro quiet splash vt.handoff=7
  SegvAnalysis:
   Segfault happened at: 0xb72b202e <_ZN4Glib6Source13pre...

Read more...

Tim Penhey (thumper) on 2012-03-28
Changed in compiz-libcompizconfig:
status: Triaged → In Progress
dc (darkcharl) wrote :

I experience the same issue as what has been described above by many (for instance, by REWard). My driver is proprietary nvidia and I am unable to restart compiz in 3D unity.

zzecool (zzecool) wrote :

To who ever has this bug , please double check that you are actually are on Unity 2d after unity --reset even if you get problems and seg faults.

I use to have the launcher icons set to 32 pixels and set the panel to full opacity so after the reset the icons turned back to the default making the launcher huge and ugly giving me the impression that i was in unity 2d.

Sound noobish and stupid but it happened to me =) , other than that the bug is still here but at least i can use Unity 3d

Sam_ (and-sam) wrote :

Happens here for the first and only time after recent updates. After the reboot unity plugin was disabled, enabled it by running ccsm in a terminal, imported custom backup .profile, done.
unity:
  Installed: 5.8.0-0ubuntu2
  Candidate: 5.8.0-0ubuntu2
  Version table:
 *** 5.8.0-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

compiz-core:
  Installed: 1:0.9.7.2-0ubuntu4
  Candidate: 1:0.9.7.2-0ubuntu4
  Version table:
 *** 1:0.9.7.2-0ubuntu4 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-libcompizconfig at revision 430

Changed in compiz-libcompizconfig:
status: In Progress → Fix Committed
zzecool (zzecool) wrote :

Thank you =)

eros2 (eros2) wrote :

But where is the fix? I installed latest "proposed" updates in Precise, but Unity still crashes immediately after login when using Nvidia drivers.

Compiz package version: 1:0.9.7.8-0ubuntu1
Unity package version: 5.12-0ubuntu1

I use "nouveau" driver to run Unity, but nouveau looks much slower then nvidia driver.

Maybe any workaround exist?
Please, please!

At job I use 64 bit Ubuntu 12.04 and Nvidia driver, and Unity works ok. So, this is 32-bit specific problem?

Silviu C. (silviucc) wrote :

eros2, this is probably due to a regression in the latest release of the proprietary nvidia driver (295.40). If you have a board that came before the GT/GTX 200 family you'll likely run into trouble. Rolling with an earlier version does not work either because the x.40 release fix a big security flaw.

GonzO (gonzo) wrote :

This was fixed in Unity 5.8 (if I'm not mistaken).

I'm using 32-bit 12.04, and the nVidia 295.40 driver, and I haven't seen this crash in a while.

Changed in compiz-libcompizconfig:
status: Fix Committed → Fix Released
Changed in compiz-compizconfig-gconf:
status: Fix Committed → Fix Released
eros2 (eros2) wrote :

Well, maybe bug 980298 or bug 982485 is my case, not this bug.
I installed nvidia 295.33 driver and happy for now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers